Bug 12751 - lilo won't dual boot my win2k / redhat6.2 installation
lilo won't dual boot my win2k / redhat6.2 installation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-20 03:04 EDT by law
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-17 05:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description law 2000-06-20 03:04:38 EDT
I have a dell laptop with a 11-12G hardisk runnning win2k in one big 
partition

Then shrinked the ntfs partition and created a linux partition and a linux 
swap partition. I rebootet and found my win2k now running nicely (as nice 
as before at least) but in a 9G NTFS partition

Then I installed the redhat 6.2.  Default installation choices all the way 
- No problem


When I now reboot the lilo do not come up.   After bios selftest i see 
only the letters "LI" in upper left corner and then the machiene is dead.

What's wrong, does lilo have a problem with disks with more than 1024 
cylinders ?  Or ?

Any info appreciated

Rgds Lars
Comment 1 ronnie 2001-04-17 05:04:10 EDT
I too am experiencing this problem.
When I run lilo from the command line (can
successfully load with boot disk)
I get the error message
  "device exceeds 1024 cyinder limit"
I thought modern versions of lilo could
cope with the /boot partition outside 1024?
The wkstn has an athlon processor and an
ATA100 HDD (i.e. have to specify ide2/3 as parameters
at boot time)

Ronnie
Comment 2 Jeremy Katz 2002-06-04 01:16:09 EDT
Older releases of lilo could not boot if the boot sector was above the 1024th
cylinder.  Newer versions work around this limitation if your bios supports it.

Note You need to log in before you can comment on or make changes to this bug.